﻿#include <iostream>
#include <iomanip>

using namespace std;

class FunkcjaKwadratowa {
    float a, b, c;
    float delta;
public:
    void podajDane(float a, float b, float c) {
        this->a = a;
        this->b = b;
        this->c = c;

        this->delta = (b * b) - (4 * a * c);
    }

    void rownanie() {
        cout << setprecision(2) << fixed;
        if (delta < 0) cout << "Brak pierwiastkow" << endl;
        else if (delta == 0) {
            float x = -b / (2 * a);
            cout << "1 pierwiastek: x = " << x << endl;
        }
        else {
            float x1, x2;
            float sq = sqrt(delta);
            x1 = (-b - sq) / (2 * a);
            x2 = (-b + sq) / (2 * a);
            cout << "2 pierwiastki: x1 = " << x1 << ", x2 = " << x2 << endl;
        }
    }

    void wypisz() {
        cout << "Rownanie: " << a << "x^2 + " << b << "x + " << c << " = 0" << endl;
    }
};

int main()
{
    FunkcjaKwadratowa q;
    q.podajDane(4, 4, 1);
    q.wypisz();
    q.rownanie();
}